From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/bcache-tools/
Date: Tue, 29 Jun 2021 11:34:33 +0000 (UTC) [thread overview]
Message-ID: <1624966403.54dc8ac2a8076f0f08d801b436c6ffd19ae51b18.flow@gentoo> (raw)
commit: 54dc8ac2a8076f0f08d801b436c6ffd19ae51b18
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 29 11:30:28 2021 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Jun 29 11:33:23 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54dc8ac2
sys-fs/bcache-tools: add 9999
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
sys-fs/bcache-tools/bcache-tools-9999.ebuild | 69 ++++++++++++++++++++++++++++
1 file changed, 69 insertions(+)
diff --git a/sys-fs/bcache-tools/bcache-tools-9999.ebuild b/sys-fs/bcache-tools/bcache-tools-9999.ebuild
new file mode 100644
index 00000000000..5cb77851e55
--- /dev/null
+++ b/sys-fs/bcache-tools/bcache-tools-9999.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit flag-o-matic python-r1 toolchain-funcs udev
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.kernel.org/pub/scm/linux/kernel/git/colyli/bcache-tools.git https://kernel.googlesource.com/pub/scm/linux/kernel/git/colyli/bcache-tools.git"
+else
+ SRC_URI="https://git.kernel.org/pub/scm/linux/kernel/git/colyli/${PN}.git/snapshot/${P}.tar.gz"
+fi
+
+DESCRIPTION="Tools for bcache"
+HOMEPAGE="https://git.kernel.org/pub/scm/linux/kernel/git/colyli/bcache-tools.git/"
+
+SLOT="0"
+LICENSE="GPL-2"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ sys-apps/util-linux
+ virtual/udev
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ tc-export CC
+ sed \
+ -e '/^CFLAGS/s:-O2::' \
+ -e '/^CFLAGS/s:-g::' \
+ -i Makefile || die
+
+ append-lfs-flags
+}
+
+src_install() {
+ into /
+ dosbin bcache make-bcache bcache-super-show
+
+ exeinto $(get_udevdir)
+ doexe bcache-register probe-bcache
+
+ python_foreach_impl python_doscript bcache-status
+
+ udev_dorules 69-bcache.rules
+
+ insinto /etc/initramfs-tools/hooks/bcache
+ doins initramfs/hook
+
+ # that is what dracut does
+ insinto /usr/lib/dracut/modules.d/90bcache
+ doins dracut/module-setup.sh
+
+ doman *.8
+
+ dodoc README
+}
+
+pkg_postinst() {
+ udev_reload
+}
next reply other threads:[~2021-06-29 11:34 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-29 11:34 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-10-26 22:39 [gentoo-commits] repo/gentoo:master commit in: sys-fs/bcache-tools/ Sam James
2023-10-23 14:05 Arthur Zamarin
2023-10-22 11:44 Sam James
2023-10-22 11:39 Sam James
2023-10-22 11:39 Sam James
2023-09-21 9:04 Florian Schmaus
2023-09-21 9:04 Florian Schmaus
2023-09-21 8:19 Florian Schmaus
2023-09-21 8:19 Florian Schmaus
2023-09-12 19:28 WANG Xuerui
2023-09-12 19:28 WANG Xuerui
2023-02-25 20:59 Florian Schmaus
2023-02-25 20:59 Florian Schmaus
2022-06-16 11:41 Florian Schmaus
2022-04-07 17:04 Jakov Smolić
2022-01-19 22:43 Sam James
2022-01-18 22:16 Sam James
2022-01-18 12:26 Sam James
2022-01-17 1:57 Georgy Yakovlev
2022-01-17 1:57 Georgy Yakovlev
2022-01-17 1:57 Georgy Yakovlev
2021-12-15 11:22 Florian Schmaus
2021-12-15 11:22 Florian Schmaus
2021-12-15 11:22 Florian Schmaus
2021-12-15 11:22 Florian Schmaus
2021-11-19 18:10 Jakov Smolić
2021-11-19 14:08 Florian Schmaus
2021-06-29 11:34 Florian Schmaus
2021-06-29 11:34 Florian Schmaus
2020-09-25 22:28 Sergei Trofimovich
2020-09-25 22:28 Sergei Trofimovich
2020-05-17 16:55 Aaron Bauman
2020-04-09 9:34 Michał Górny
2018-06-23 10:49 Pacho Ramos
2016-01-30 15:11 Justin Lecher
2015-12-07 8:22 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1624966403.54dc8ac2a8076f0f08d801b436c6ffd19ae51b18.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox